com.microfocus.awm.meta.interfaces

## Interface LinkedProperty

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier, Property
  All Known Implementing Classes:
    LinkedPropertyImpl

      public interface LinkedProperty
      extends Property

  Linked properties can be provided by a function package to AWM via the extension point attribute propertyProvider.

  The following features are supported:

  - `Linked Property Category`
  - `Linked Property ID`
  - `Linked Property Label`
  - `Requires Resource Identifier`
  - `Resource Identifier`
  See Also:
    `TaurusPackage.getLinkedProperty()`

- - ### Property Summary

    - ### Properties inherited from interface com.microfocus.awm.meta.interfaces.Property

      `isLinkedProperty, isSetRetrieveAllValuesActionLabelProperty, isSetRetrieveAllValuesActionValueProperty, isSetSpecialProperty`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkedPropertyCategory()` Returns the value of the 'Linked Property Category' attribute.
    `LinkedPropertyExtension` | `getLinkedPropertyExtension()` Gets the linked property extension.
    `java.lang.String` | `getLinkedPropertyID()` Returns the value of the 'Linked Property ID' attribute.
    `java.lang.String` | `getLinkedPropertyLabel()` Returns the value of the 'Linked Property Label' attribute.
    `Property` | `getResourceIdentifier()` Returns the value of the 'Resource Identifier' reference.
    `boolean` | `isRequiresResourceIdentifier()` Returns the value of the 'Requires Resource Identifier' attribute.
    `boolean` | `isSetRequiresResourceIdentifier()` Returns whether the value of the '`Requires Resource Identifier`' attribute is set.
    `void` | `setLinkedPropertyCategory(java.lang.String value)` Sets the value of the '`Linked Property Category`' attribute.
    `void` | `setLinkedPropertyID(java.lang.String value)` Sets the value of the '`Linked Property ID`' attribute.
    `void` | `setLinkedPropertyLabel(java.lang.String value)` Sets the value of the '`Linked Property Label`' attribute.
    `void` | `setRequiresResourceIdentifier(boolean value)` Sets the value of the '`Requires Resource Identifier`' attribute.
    `void` | `setResourceIdentifier(Property value)` Sets the value of the '`Resource Identifier`' reference.
    `void` | `unsetRequiresResourceIdentifier()` Unsets the value of the '`Requires Resource Identifier`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.Property

      `getCharsPerLine, getDateFormat, getDefaultValue, getFalseValue, getLabel, getLabelForValue, getLabelFromHierarchy, getLabelKeys, getLabelKeysWithoutQuotes, getMaxLines, getRetrieveAllValues, getRetrieveAllValuesActionLabelProperty, getRetrieveAllValuesActionValueProperty, getRetrieveAllValuesActionValuesFrom, getSpecialProperty, getStringDelimiter, getStringDelimiterWithoutQuotes, getTrueValue, getType, getValueForLabel, getValueKeys, getValueKeysWithoutQuotes, getValueLabelMap, getValueMaxLength, getValueMinLength, isLinkedProperty, isSetCharsPerLine, isSetDateFormat, isSetFalseValue, isSetLabel, isSetLabelKeys, isSetMaxLines, isSetRetrieveAllValues, isSetRetrieveAllValuesActionLabelProperty, isSetRetrieveAllValuesActionValueProperty, isSetSpecialProperty, isSetStringDelimiter, isSetTrueValue, isSetType, isSetUpperCase, isSetValueKeys, isSetValueMaxLength, isSetValueMinLength, isUpperCase, setCharsPerLine, setDateFormat, setDefaultValue, setFalseValue, setLabel, setMaxLines, setRetrieveAllValues, setRetrieveAllValuesActionLabelProperty, setRetrieveAllValuesActionValueProperty, setRetrieveAllValuesActionValuesFrom, setSpecialProperty, setStringDelimiter, setTrueValue, setType, setUpperCase, setValueMaxLength, setValueMinLength, unsetCharsPerLine, unsetDateFormat, unsetFalseValue, unsetLabel, unsetLabelKeys, unsetMaxLines, unsetRetrieveAllValues, unsetRetrieveAllValuesActionLabelProperty, unsetRetrieveAllValuesActionValueProperty, unsetSpecialProperty, unsetStringDelimiter, unsetTrueValue, unsetType, unsetUpperCase, unsetValueKeys, unsetValueMaxLength, unsetValueMinLength`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLinkedPropertyCategory

          java.lang.String getLinkedPropertyCategory()

      Returns the value of the 'Linked Property Category' attribute.
      Category under which the linked property should appear in the context menu of the AWM model editor.
      Returns:
        the value of the 'Linked Property Category' attribute.
      See Also:
        `setLinkedPropertyCategory(String)`, `TaurusPackage.getLinkedProperty_LinkedPropertyCategory()`

    - #### setLinkedPropertyCategory

          void setLinkedPropertyCategory(java.lang.String value)

      Sets the value of the '`Linked Property Category`' attribute.
      Parameters:
        `value` - the new value of the 'Linked Property Category' attribute.
      See Also:
        `getLinkedPropertyCategory()`

    - #### getLinkedPropertyID

          java.lang.String getLinkedPropertyID()

      Returns the value of the 'Linked Property ID' attribute.
      The unique ID of the linked property.
      Returns:
        the value of the 'Linked Property ID' attribute.
      See Also:
        `setLinkedPropertyID(String)`, `TaurusPackage.getLinkedProperty_LinkedPropertyID()`

    - #### setLinkedPropertyID

          void setLinkedPropertyID(java.lang.String value)

      Sets the value of the '`Linked Property ID`' attribute.
      Parameters:
        `value` - the new value of the 'Linked Property ID' attribute.
      See Also:
        `getLinkedPropertyID()`

    - #### getLinkedPropertyLabel

          java.lang.String getLinkedPropertyLabel()

      Returns the value of the 'Linked Property Label' attribute.
      The label of the linked property in the context menu of the AWM model editor.
      Returns:
        the value of the 'Linked Property Label' attribute.
      See Also:
        `setLinkedPropertyLabel(String)`, `TaurusPackage.getLinkedProperty_LinkedPropertyLabel()`

    - #### setLinkedPropertyLabel

          void setLinkedPropertyLabel(java.lang.String value)

      Sets the value of the '`Linked Property Label`' attribute.
      Parameters:
        `value` - the new value of the 'Linked Property Label' attribute.
      See Also:
        `getLinkedPropertyLabel()`

    - #### isRequiresResourceIdentifier

          boolean isRequiresResourceIdentifier()

      Returns the value of the 'Requires Resource Identifier' attribute.
      Whether the linked property needs a resource identifier to identify the linked property at run time.
      Returns:
        the value of the 'Requires Resource Identifier' attribute.
      See Also:
        `isSetRequiresResourceIdentifier()`, `unsetRequiresResourceIdentifier()`, `setRequiresResourceIdentifier(boolean)`, `TaurusPackage.getLinkedProperty_RequiresResourceIdentifier()`

    - #### setRequiresResourceIdentifier

          void setRequiresResourceIdentifier(boolean value)

      Sets the value of the '`Requires Resource Identifier`' attribute.
      Parameters:
        `value` - the new value of the 'Requires Resource Identifier' attribute.
      See Also:
        `isSetRequiresResourceIdentifier()`, `unsetRequiresResourceIdentifier()`, `isRequiresResourceIdentifier()`

    - #### unsetRequiresResourceIdentifier

          void unsetRequiresResourceIdentifier()

      Unsets the value of the '`Requires Resource Identifier`' attribute.
      See Also:
        `isSetRequiresResourceIdentifier()`, `isRequiresResourceIdentifier()`, `setRequiresResourceIdentifier(boolean)`

    - #### isSetRequiresResourceIdentifier

          boolean isSetRequiresResourceIdentifier()

      Returns whether the value of the '`Requires Resource Identifier`' attribute is set.
      Returns:
        whether the value of the 'Requires Resource Identifier' attribute is set.
      See Also:
        `unsetRequiresResourceIdentifier()`, `isRequiresResourceIdentifier()`, `setRequiresResourceIdentifier(boolean)`

    - #### getResourceIdentifier

          Property getResourceIdentifier()

      Returns the value of the 'Resource Identifier' reference. Most linked properties require a Resource Identifier in order to be resolved, which is a reference to a property which must contain a unique ID of a resource from which to obtain the property value at run time.
      Returns:
        the value of the 'Resource Identifier' reference.
      See Also:
        `setResourceIdentifier(Property)`, `TaurusPackage.getLinkedProperty_ResourceIdentifier()`

    - #### setResourceIdentifier

          void setResourceIdentifier(Property value)

      Sets the value of the '`Resource Identifier`' reference.
      Parameters:
        `value` - the new value of the 'Resource Identifier' reference.
      See Also:
        `getResourceIdentifier()`

    - #### getLinkedPropertyExtension

          LinkedPropertyExtension getLinkedPropertyExtension()
                                                      throws TaurusMetaModelException

      Gets the linked property extension.
      Returns:
        the `LinkedPropertyExtension`
      Throws:
        `TaurusMetaModelException` - if the property provider was not found. This can be caused by missing plug-ins or changed linked property IDs within the providing plug-in's plugin.xml.

Copyright © 2015 Micro Focus GmbH. All rights reserved.